Saltar al contenido principal
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
Add a row to a table
curl --request POST \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "childTableId": 123,
  "displayIndex": 123,
  "values": {},
  "name": "<string>",
  "path": "<string>"
}
'
{
  "childTableId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "publishedAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "values": {}
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

tableIdOrName
string
requerido

Cuerpo

application/json
childTableId
integer<int64>
requerido

Specifies the value for the column child table id

displayIndex
integer<int32>
requerido

The index position for displaying the row within the table.

values
object
requerido

List of key value pairs with the column name and column value

name
string

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

Respuesta

successful operation

childTableId
string
requerido

Specifies the value for the column child table id

createdAt
string<date-time>
requerido

Timestamp at which the row is created

id
string
requerido

The id of the table row

name
string
requerido

Specifies the value for hs_name column, which will be used as title in the dynamic pages

path
string
requerido

Specifies the value for hs_path column, which will be used as slug in the dynamic pages

publishedAt
string<date-time>
requerido

The timestamp indicating when the row was last published, in date-time format.

updatedAt
string<date-time>
requerido

Timestamp at which the row is updated last time

values
object
requerido

List of key value pairs with the column name and column value

Última modificación el 5 de junio de 2026